figures where modprobe.conf.dist gets installed
[bootcd.git] / build.sh
index c150605..97e234c 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -57,10 +57,12 @@ pushd $srcdir
 # Root of the isofs
 isofs=$PWD/build/isofs
 
-# Build reference image if it does not exist. This should only need to
-# be executed once at build time, never at run time.
-if [ ! -f $isofs/bootcd.img ] ; then
-    ./prep.sh
+# The reference image is expected to have been built by prep.sh (see .spec)
+# we disable the initial logic that called prep.sh if that was not the case
+# this is because prep.sh needs to know pldistro 
+if [ ! -f $isofs/bootcd.img -o ! -f build/version.txt ] ; then
+    echo "you have to run prep.sh prior to calling $0 - exiting"
+    exit 1
 fi
 
 # build/version.txt written by prep.sh
@@ -107,8 +109,8 @@ echo "* Building images for $FULL_VERSION_STRING"
 # is available.
 BUILDTMP=/usr/tmp
 if [ -d /data ] ; then
-       isreadonly=$(mktemp /data/isreadonly.XXXXXX)
-       if [ $? -eq 0 ] ; then
+       isreadonly=$(mktemp /data/isreadonly.XXXXXX || /bin/true)
+       if [ -n "$isreadonly" ] ; then
                rm -f "$isreadonly"
                BUILDTMP=/data
        fi